import { NgModule } from "@angular/core";
import { BridgeModule } from "./entities/bridge/bridge.module";
import { CompanyClockingEventIndicationsModule } from "./entities/company-clocking-event-indications/company-clocking-event-indications.module";
import { E001PesModule } from "./entities/e-001-pes/e-001-pes.module";
import { EmployeeModule } from "./entities/employee/employee.module";
import { SituationClockingEventModule } from "./entities/situation-clocking-event/situation-clocking-event.module";
import { SituationModule } from "./entities/situation/situation.module";
import { TimeEvaluationDefinitionModule } from "./entities/time-evaluation-definition/time-evaluation-definition.module";
import { TimeEvaluationSituationDefinitionHistoryModule } from "./entities/time-evaluation-situation-definition-history/time-evaluation-situation-definition-history.module";
import { TimeEvaluationSituationDefinitionModule } from "./entities/time-evaluation-situation-definition/time-evaluation-situation-definition.module";

@NgModule({
    imports: [
        BridgeModule,
        EmployeeModule,
        E001PesModule,
        CompanyClockingEventIndicationsModule,
        TimeEvaluationDefinitionModule,
        SituationModule,
        TimeEvaluationSituationDefinitionModule,
        TimeEvaluationSituationDefinitionHistoryModule,
        SituationClockingEventModule
    ]
})
export class CoreSchedulesHistoriesModule { }