import { Injectable } from "@angular/core";
import { HttpClient } from "@angular/common/http";
import { MessageService } from "primeng/components/common/messageservice";
import { TranslateService } from "@ngx-translate/core";

import { EntityService } from "../../../shared/services/entity-service";
import { CompanyClockingEventIndicationsDto } from "./company-clocking-event-indications-dto";


@Injectable()
export class CompanyClockingEventIndicationsService extends EntityService<CompanyClockingEventIndicationsDto> {

    constructor(protected http: HttpClient, protected messageService: MessageService, protected translate: TranslateService) {
        super(
            http,
            messageService,
            `hcm_clocking_event_foundation/general/entities/companyClockingEventIndications`,
            `hcm_clocking_event_foundation/general/actions`,
            translate
        );
    }

}
