import { NgModule } from "@angular/core";
import { LocaleModule } from "@seniorsistemas/angular-components";
import { CoreSchedulesHistoriesModule } from "../../core/core-schedules.module";

import { SharedScheduleModule } from "../../shared/shared-schedule.module";
import { BridgeFormComponent } from "./form/bridge-form.component";

@NgModule({
    imports: [
        LocaleModule.forChild(),
        SharedScheduleModule,
        CoreSchedulesHistoriesModule
    ],
    declarations: [
        BridgeFormComponent
    ],
    exports: [
        BridgeFormComponent
    ]
})
export class BridgeFormModule { }