import { NgModule } from '@angular/core';
import { PermissionsModule } from '@seniorsistemas/platform-components';
import { BridgeService } from './bridge.service';

@NgModule({
  imports: [
      PermissionsModule.forChild([
          {
              name: "bridge",
              actions: ["Visualizar", "Incluir", "Editar", "Excluir"],
              uri: `res://senior.com.br/hcm_clocking_event_foundation/general/entities/bridge`,
          },
      ]),
  ],
  providers: [
    BridgeService
  ]
})
export class BridgeModule {}
